1. Create
PAYBETA API
  • Bill Payment API
  • Webhook
  • Paybeta Commission
  • Airtime
    • Providers
      GET
    • Payment
      POST
  • Data Bundle
    • Get Providers
      GET
    • Get Data Bundles
      POST
    • Payment
      POST
  • Cable TV
    • Get Providers
      GET
    • Get Bouquet
      POST
    • Validate Account
      POST
    • Payment
      POST
  • Electricity
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Showmax
    • Get Bouquets
      GET
    • Payment
      POST
  • Gaming
    • Get Providers
    • Validate Account
    • Payment
  • Wallet
    • Balance
  • Education
    • Get Providers
    • Get Exam Types
  • Webhook (reference)
  • Schedule Payments
    • Setup
      • Options
      • Bundles
    • Create
      • Create - Airtime (one time)
        POST
      • Create - Data (monthly)
        POST
      • Create - Cable TV (monthly)
        POST
      • Create - Electricity (weekly)
        POST
    • Manage
      • List schedules
      • Get schedule
      • Update schedule
      • Pay now
      • Retry failed run
      • Pause
      • Resume
      • Cancel (archive)
      • Re-enable
      • Delete
  • Transaction Query
    POST
  1. Create

Create - Airtime (one time)

POST
https://api.paybeta.ng/v2/scheduled-payments
Schedule a one-time airtime top-up. amount is required (50 - 20,000).

Request

Authorization
Add parameter in header
P-API-KEY
Example:
P-API-KEY: ********************
Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paybeta.ng/v2/scheduled-payments' \
--header 'Accept: application/json' \
--header 'Accept: application/json' \
--header 'P-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "service": "airtime",
  "biller": "mtn_vtu",
  "customer_id": "08031234567",
  "amount": 500,
  "frequency": "once",
  "start_at": "{{startAt}}",
  "description": "Airtime for Dad"
}'
Response Response Example
{
  "success": true,
  "message": "Payment scheduled successfully.",
  "data": {
    "reference": "SCH-7F3K9QX2AB12",
    "service": "airtime",
    "service_label": "Airtime",
    "biller": "mtn_vtu",
    "biller_label": "MTN Airtime",
    "biller_code": null,
    "product_name": "MTN Airtime VTU",
    "customer_id": "08031234567",
    "customer_name": null,
    "amount": 500.0,
    "frequency": "once",
    "frequency_label": "One time",
    "starts_at": "2026-10-10T09:00:00+01:00",
    "ends_at": null,
    "next_run_at": "2026-10-10T09:00:00+01:00",
    "status": "active",
    "failure_reason": null,
    "can_retry": false,
    "can_cancel": true,
    "can_pause": true,
    "can_pay_now": true,
    "can_resume": false,
    "resume_needs_start_at": false,
    "paused_at": null,
    "can_edit": true,
    "archived": false,
    "can_reactivate": false,
    "can_delete": false,
    "reactivation_needs_start_at": false,
    "cancelled_at": null,
    "total_runs": 0,
    "last_run_at": null,
    "last_run": null,
    "description": "Airtime for Dad",
    "summary": "Airtime scheduled for the beneficiary 08031234567",
    "created_at": "2026-10-05T12:00:00+01:00"
  }
}
Modified at 2026-10-05 19:53:45
Previous
Create
Next
Create - Data (monthly)
Built with